#pragma once
#include "texture.hpp"
#include <SDL.h>
#include <string>
#include <vector>

struct PhoenixAssets {
  std::vector<PhoenixTexture> textures;
};

void PLoadTextureAsset(std::string filePath);
PhoenixTexture *PGetTextureById(int id);
